<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('functions_o.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_o" name="index_o"></a>- o -</h3><ul>
<li>OKBLUE&#160;:&#160;<a class="el" href="classconfig__loader_1_1bcolors.html#a13941e8915b0890def96bb77f9bb57cc">config_loader.bcolors</a>, <a class="el" href="classmain_1_1bcolors.html#a52ba0647dbb88f337fedb9d28f430a95">main.bcolors</a></li>
<li>OKCYAN&#160;:&#160;<a class="el" href="classconfig__loader_1_1bcolors.html#a5b86e98ca8c0e3ad057ef9eb93b4be0e">config_loader.bcolors</a>, <a class="el" href="classmain_1_1bcolors.html#a7e5120e588f6b867e72ff497a3f67d77">main.bcolors</a></li>
<li>OKGREEN&#160;:&#160;<a class="el" href="classconfig__loader_1_1bcolors.html#ab7b90c3edc2de84788786d8a90812bd3">config_loader.bcolors</a>, <a class="el" href="classmain_1_1bcolors.html#af969da410c10b19679827e6e9dd61319">main.bcolors</a></li>
<li>orbit_env&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#a3717d984ba1cb0f3f2e7617ea4cdc9af">internal_transfer.OutputLists</a></li>
<li>orbit_env_outputs&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a65710331e4f76832d664454926d31958">main.Main</a></li>
<li>orientation&#160;:&#160;<a class="el" href="class_sensor_1_1_sensor.html#a50d7fc1b38b659f1b9078a1b66a125e5">Sensor.Sensor</a></li>
<li>orthogonality_error&#160;:&#160;<a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#ae255fdbe6c3eb9ffc24b1fe534ba29b4">magnetometer.FluxgateMagnetometer</a></li>
<li>output()&#160;:&#160;<a class="el" href="classacceleration__sensor_1_1_m_e_m_s3_axis_acceleration_sensor.html#a715d5a464c8e3a8c2e6b293b860f25bd">acceleration_sensor.MEMS3AxisAccelerationSensor</a>, <a class="el" href="classdynamics_1_1_dynamics.html#a072039c0ca5abcd7d8c294b773586d8b">dynamics.Dynamics</a>, <a class="el" href="classearth__sensor_1_1_earth_sensor.html#acbe29de755962da1ccb9540da74cbf46">earth_sensor.EarthSensor</a>, <a class="el" href="classgyroscope_1_1_m_e_m_s3_axis_gyroscope.html#af9243e6bbb29fc3b2e99ef22a6f661b0">gyroscope.MEMS3AxisGyroscope</a>, <a class="el" href="classjson__grabber_1_1_make_dict.html#af0413dbab3e8a73c6fe23228bd8238e9">json_grabber.MakeDict</a>, <a class="el" href="classmagnetometer_1_1_fluxgate_magnetometer.html#a255ab448a84261a667617eca8a873ca8">magnetometer.FluxgateMagnetometer</a>, <a class="el" href="classorbit_1_1_orbit.html#a92342e66feded39d21d9da4ac6227d16">orbit.Orbit</a>, <a class="el" href="classsunsensor_1_1_fine_sun_sensor.html#a17fe02dfaaa13ff8032a8b685b215592">sunsensor.FineSunSensor</a>, <a class="el" href="classsunsensor_1_1_photodiode.html#a51a34beb1509be5de7e65e88e48b7a43">sunsensor.Photodiode</a></li>
<li>output_dict&#160;:&#160;<a class="el" href="classinternal__transfer_1_1_output_lists.html#ad9a26977293d864912b466e95bfd5dd5">internal_transfer.OutputLists</a></li>
<li>output_progress()&#160;:&#160;<a class="el" href="classmain_1_1_main.html#a12a50bdf973934dda652659b21055e5f">main.Main</a></li>
<li>outputs&#160;:&#160;<a class="el" href="classdynamics_1_1_dynamics.html#a6da3d358e5c10996cc6b32249ff21f77">dynamics.Dynamics</a>, <a class="el" href="class_sensor_1_1_sensor.html#a080bdfc3b220f4273e3b4a9d45c413b5">Sensor.Sensor</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
